HADOOP-17775. Remove JavaScript package from Docker environment. (#3137)

Signed-off-by: Akira Ajisaka <aajisaka@apache.org>
This commit is contained in:
Masatake Iwasaki 2021-07-07 11:07:10 +09:00 committed by GitHub
parent c85a18327d
commit c42441a1ec
No known key found for this signature in database
GPG Key ID: 4AEE18F83AFDEB23
5 changed files with 1 additions and 82 deletions

View File

@ -76,5 +76,4 @@ RUN pkg-resolver/install-yasm.sh centos:7
RUN pkg-resolver/install-protobuf.sh centos:7
RUN pkg-resolver/install-boost.sh centos:7
RUN pkg-resolver/install-spotbugs.sh centos:7
RUN pkg-resolver/install-nodejs.sh centos:7
RUN pkg-resolver/install-common-pkgs.sh

View File

@ -52,8 +52,6 @@ RUN dnf install -y \
bouncycastle \
gcc-toolset-9-gcc \
gcc-toolset-9-gcc-c++ \
nodejs \
npm \
libpmem-devel
# Set GCC 9 as the default C/C++ compiler

View File

@ -20,9 +20,3 @@
# Install pylint and python-dateutil
######
pip3 install pylint==2.6.0 python-dateutil==2.8.1
######
# Install bower
######
# hadolint ignore=DL3008
npm install -g bower@1.8.8

View File

@ -1,54 +0,0 @@
#!/usr/bin/env bash
# Licensed to the Apache Software Foundation (ASF) under one
# or more contributor license agreements. See the NOTICE file
# distributed with this work for additional information
# regarding copyright ownership. The ASF licenses this file
# to you under the Apache License, Version 2.0 (the
# "License"); you may not use this file except in compliance
# with the License. You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
if [ $# -lt 1 ]; then
echo "ERROR: Need at least 1 argument, $# were provided"
exit 1
fi
pkg-resolver/check_platform.py "$1"
if [ $? -eq 1 ]; then
echo "ERROR: Unsupported platform $1"
exit 1
fi
default_version="14.16.1"
version_to_install=$default_version
if [ -n "$2" ]; then
version_to_install="$2"
fi
if [ "$version_to_install" != "14.16.1" ]; then
echo "WARN: Don't know how to install version $version_to_install, installing the default version $default_version instead"
version_to_install=$default_version
fi
if [ "$version_to_install" == "14.16.1" ]; then
# hadolint ignore=DL3003
mkdir -p /tmp/node &&
curl -L -s -S https://nodejs.org/dist/v14.16.1/node-v14.16.1.tar.gz -o /tmp/node-v14.16.1.tar.gz &&
tar xzf /tmp/node-v14.16.1.tar.gz --strip-components 1 -C /tmp/node &&
cd /tmp/node || exit &&
./configure &&
make "-j$(nproc)" &&
make install &&
cd /root || exit
else
echo "ERROR: Don't know how to install version $version_to_install"
exit 1
fi

View File

@ -245,24 +245,6 @@
"ubuntu:focal": "maven",
"ubuntu:focal::arch64": "maven"
},
"javascript": {
"debian:10": [
"nodejs",
"node-yarn",
"npm"
],
"ubuntu:focal": [
"nodejs",
"node-yarn",
"npm"
],
"ubuntu:focal::arch64": [
"nodejs",
"node-yarn",
"npm",
"phantomjs"
]
},
"java": {
"debian:10": "openjdk-11-jdk",
"ubuntu:focal": [
@ -363,4 +345,4 @@
"ubuntu:focal": "yasm",
"ubuntu:focal::arch64": "yasm"
}
}
}